package org.nakedobjects.nof.reflect.java.annotations;

import org.nakedobjects.applib.annotation.Bounded;
import org.nakedobjects.noa.annotations.Annotation;
import org.nakedobjects.noa.annotations.BoundedAnnotation;


public class BoundedAnnotationFactory extends AbstractAnnotationFactory {

    public BoundedAnnotationFactory() {
        super(BoundedAnnotation.class);
    }

    public Annotation process(final Class clazz) {
        Bounded annotation = (Bounded) clazz.getAnnotation(Bounded.class);
        return create(annotation);
    }

    private BoundedAnnotation create(Bounded annotation) {
        return annotation == null ? null : new BoundedAnnotation();
    }

}
