package org.nakedobjects.nof.reflect.java.annotations;

import java.lang.reflect.Method;

import org.nakedobjects.applib.annotation.Exploration;
import org.nakedobjects.noa.annotations.Annotation;
import org.nakedobjects.noa.annotations.ExplorationAnnotation;


public class ExplorationAnnotationFactory extends AbstractAnnotationFactory {

    public ExplorationAnnotationFactory() {
        super(ExplorationAnnotation.class);
    }

    public Annotation process(final Method method) {
        Exploration annotation = (Exploration) method.getAnnotation(Exploration.class);
        return create(annotation);
    }

    private ExplorationAnnotation create(Exploration annotation) {
        return annotation == null ? null : new ExplorationAnnotation();
    }

}
