package org.nakedobjects.nof.reflect.java.annotations;

import org.nakedobjects.applib.annotation.FieldOrder;
import org.nakedobjects.noa.annotations.Annotation;
import org.nakedobjects.noa.annotations.FieldOrderAnnotation;


public class FieldOrderAnnotationFactory extends AbstractAnnotationFactory {

    public FieldOrderAnnotationFactory() {
        super(FieldOrderAnnotation.class);
    }

    public Annotation process(Class clazz) {
        FieldOrder annotation = (FieldOrder) clazz.getAnnotation(FieldOrder.class);
        return create(annotation);
    }

    private FieldOrderAnnotation create(FieldOrder annotation) {
        return annotation == null ? null : new FieldOrderAnnotation(annotation.value());
    }

}
