package org.nakedobjects.nof.reflect.java.reflect;

import java.lang.reflect.Method;
import java.util.Collection;

import org.nakedobjects.nof.reflect.peer.MemberIdentifier;


public class JavaCollection extends AbstractJavaCollectionField {
    public JavaCollection(
            final MemberIdentifier name,
            final Class type,
            final DescriptiveMethods descriptiveMethods,
            final FieldMethods fieldMethods,
            final GeneralControlMethods controlMethods,
            final FieldFlags fieldFlags,
            final Method clearMethod,
            final MemberSessionMethods sessionMethods) {
        super(name, type, descriptiveMethods, fieldMethods, controlMethods, fieldFlags, clearMethod, sessionMethods);
    }

    protected void add(final Object collection, Object element) {
        ((Collection) collection).add(element);
    }
    
    protected void init(final Object collection, final Object[] elements) {
        Collection list = ((Collection) collection);
        for (int i = 0; i < elements.length; i++) {
            list.add(elements[i]);
        }
    }

    protected void clear(Object collection) {
        ((Collection) collection).clear();
    }
    
    protected boolean isEmpty(final Object collection) {
        return ((Collection) collection).isEmpty();
    }
    
    protected void removeElement(final Object collection, final Object element) {
        ((Collection) collection).remove(element);
    }
}
// Copyright (c) Naked Objects Group Ltd.
