package org.nakedobjects.nof.reflect.java.reflect;

import java.lang.reflect.Method;
import java.util.Set;

import org.nakedobjects.noa.adapter.NakedObject;
import org.nakedobjects.noa.reflect.Consent;
import org.nakedobjects.nof.core.reflect.Veto;
import org.nakedobjects.nof.reflect.peer.MemberIdentifier;


public class JavaSet extends JavaCollection {

    public JavaSet(
            final MemberIdentifier name,
            final Class type,
            final DescriptiveMethods descriptiveMethods,
            final FieldMethods fieldMethods,
            final GeneralControlMethods controlMethods,
            final FieldFlags fieldFlags,
            final Method clearMethod,
            final MemberSessionMethods sessionMethods) {
        super(name, type, descriptiveMethods, fieldMethods, controlMethods, fieldFlags, clearMethod, sessionMethods);
    }

    public Consent isAddValid(NakedObject inObject, NakedObject element) {
        Set collection;
        collection = (Set) getCollection(inObject);
        if (collection.contains(element.getObject())) {
            return new Veto("All entries must be unqiues, " + element.titleString() + " is already in the collection");
        } else {
            return super.isAddValid(inObject, element);
        }
    }
}
// Copyright (c) Naked Objects Group Ltd.
