package org.nakedobjects.nof.reflect.java.reflect;

import java.lang.reflect.Method;
import java.util.Set;

import org.nakedobjects.nof.reflect.peer.MemberIdentifier;


class SetStrategy extends AbstractOneToManyStrategy {

    protected ExtensionHolderMutableFieldPeer createPeer(
            final MemberIdentifier identifier,
            final Class elementType,
            final DescriptiveMethods descriptiveMethods,
            final FieldMethods fieldMethods,
            final GeneralControlMethods controlMethods,
            final FieldFlags fieldFlags,
            final MemberSessionMethods sessionMethods,
            final Method clearMethod) {
        final JavaSet javaOneToManyAssociation = new JavaSet(identifier, elementType, descriptiveMethods, fieldMethods,
                controlMethods, fieldFlags, clearMethod, sessionMethods);

        return javaOneToManyAssociation;
    }

    public Class getReturnType() {
        return Set.class;
    }
}
// Copyright (c) Naked Objects Group Ltd.
