package org.nakedobjects.nof.reflect.java.reflect;

import org.nakedobjects.noa.annotations.When;

class FieldFlags extends MemberFlags {

    private final boolean isOptional;
    private final boolean isPersisted;
    private final String businessKeyName;

    public FieldFlags(
            final When isHidden,
            final boolean isOptional,
            final When isProtected,
            final boolean isPersisted, 
            final String businessKeyName) {
        super(isHidden, isProtected);
        this.isOptional = isOptional;
        this.isPersisted = isPersisted;
        this.businessKeyName = businessKeyName;
    }

    public boolean isPersisted() {
        return isPersisted;
    }

    public boolean isOptional() {
        return isOptional;
    }

    public String getBusinessKeyName() {
        return businessKeyName;
    }

}

// Copyright (c) Naked Objects Group Ltd.
